public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Lars Wendler" <polynomial-c@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-process/at/
Date: Sun, 30 Jan 2022 00:16:42 +0000 (UTC)	[thread overview]
Message-ID: <1643501793.56e1b38134afbca05e63cb0876bfb4653a084608.polynomial-c@gentoo> (raw)

commit:     56e1b38134afbca05e63cb0876bfb4653a084608
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 30 00:16:33 2022 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Sun Jan 30 00:16:33 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=56e1b381

sys-process/at: Bump to version 3.2.4

Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 sys-process/at/Manifest        |  1 +
 sys-process/at/at-3.2.4.ebuild | 97 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 98 insertions(+)

diff --git a/sys-process/at/Manifest b/sys-process/at/Manifest
index bad2559f93ab..570181492682 100644
--- a/sys-process/at/Manifest
+++ b/sys-process/at/Manifest
@@ -1 +1,2 @@
 DIST at_3.2.2.orig.tar.gz 127677 BLAKE2B f4b0e1cd09d1e679d0bcc287462300827d12663927dce1534a74bd4ecd670f903a81cd6147c03b0e55192655c2a99250c27ad0e9892342d91b0279210fb79a64 SHA512 e6f5aeddd89438aadff627d654ebc821a0b0e1a600ebaacc8a5fd3ec2c7c716f593757d00501311736d28f6d4276899667d6901d70836af208ff7d181b5b680f
+DIST at_3.2.4.orig.tar.gz 132124 BLAKE2B cd5a0c70d3a72bd6667166f17442dcc1a59371e0527ba7da79375e49dc5f8558ef62bface0517b5205ac32e280e88efb12cfe493982a06b9716dd68331bcad01 SHA512 e1d3a1394e90686d4f99784aa3b49fccfda137f0cfb69b3369cff4bce8bda745c8bbf5ca9b8e0863a927eda1b16652562294ff0d4eafa11d121de8de321156a2

diff --git a/sys-process/at/at-3.2.4.ebuild b/sys-process/at/at-3.2.4.ebuild
new file mode 100644
index 000000000000..413b02bb81e8
--- /dev/null
+++ b/sys-process/at/at-3.2.4.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools pam systemd
+
+MY_P="${PN}_${PV}"
+
+DESCRIPTION="Queues jobs for later execution"
+HOMEPAGE="http://blog.calhariz.com/index.php/tag/at https://packages.qa.debian.org/a/at.html"
+SRC_URI="http://software.calhariz.com/at/${MY_P}.orig.tar.gz
+	mirror://debian/pool/main/a/at/${MY_P}.orig.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+IUSE="pam selinux"
+
+DEPEND="
+	acct-group/at
+	acct-user/at
+	virtual/mta
+	pam? ( sys-libs/pam )
+	selinux? ( sys-libs/libselinux )
+"
+RDEPEND="${DEPEND}
+	virtual/mta
+	virtual/logger
+	selinux? ( sec-policy/selinux-at )
+"
+BDEPEND="
+	>=sys-devel/autoconf-2.64
+	sys-devel/bison
+	>=sys-devel/flex-2.5.4a
+"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-3.1.8-more-deny.patch
+	"${FILESDIR}"/${PN}-3.1.14-Makefile.patch
+	# fix parallel make issues, bug #244884
+	"${FILESDIR}"/${PN}-3.1.10.2-Makefile.in-parallel-make-fix.patch
+	"${FILESDIR}"/${PN}-3.1.13-configure.in-fix-PAM-automagick-dep.patch
+	# Fix parallel make issue (bug #408375)
+	"${FILESDIR}"/${PN}-3.1.13-parallel-make-fix.patch
+)
+
+src_prepare() {
+	default
+	eautoreconf
+}
+
+src_configure() {
+	local myeconfargs=(
+		--sysconfdir="${EPREFIX}"/etc/at
+		--with-jobdir="${EPREFIX}"/var/spool/at/atjobs
+		--with-atspool="${EPREFIX}"/var/spool/at/atspool
+		--with-etcdir="${EPREFIX}"/etc/at
+		--with-daemon_username=at
+		--with-daemon_groupname=at
+		$(usex pam '' --without-pam)
+		$(use_with selinux)
+	)
+	econf ${myeconfargs[@]}
+}
+
+src_install() {
+	default
+
+	newinitd "${FILESDIR}"/atd.rc9 atd
+	newconfd "${FILESDIR}"/atd.confd atd
+
+	if use pam ; then
+		newpamd "${FILESDIR}"/at.pamd-3.1.13-r1 atd
+	fi
+
+	# Preserve existing .SEQ files (bug #386625)
+	local seq_file="${EROOT}/var/spool/at/atjobs/.SEQ"
+	if [[ -f "${seq_file}" ]] ; then
+		einfo "Preserving existing .SEQ file (bug #386625)."
+		cp -p "${seq_file}" "${ED}"/var/spool/at/atjobs/ || die
+	fi
+
+	systemd_dounit "${FILESDIR}/atd.service"
+	keepdir /var/spool/at/atspool
+}
+
+pkg_postinst() {
+	einfo "Forcing correct permissions on /var/spool/at"
+	local atspooldir="${EROOT}/var/spool/at"
+	chown at:at "${atspooldir}/atjobs"
+	chmod 1770  "${atspooldir}/atjobs"
+	chown at:at "${atspooldir}/atjobs/.SEQ"
+	chmod 0600  "${atspooldir}/atjobs/.SEQ"
+	chown at:at "${atspooldir}/atspool"
+	chmod 1770  "${atspooldir}/atspool"
+}


             reply	other threads:[~2022-01-30  0:16 UTC|newest]

Thread overview: 63+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-01-30  0:16 Lars Wendler [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-01-08 12:28 [gentoo-commits] repo/gentoo:master commit in: sys-process/at/ Sam James
2024-01-08 12:03 Sam James
2023-12-19 17:01 Arthur Zamarin
2023-12-18  7:10 Joonas Niilola
2023-12-18  1:09 Sam James
2023-12-18  0:11 Sam James
2023-12-18  0:11 Sam James
2023-12-18  0:11 Sam James
2023-12-18  0:11 Sam James
2023-09-25  7:02 Arthur Zamarin
2023-02-09 15:53 Joonas Niilola
2022-12-06 20:41 Sam James
2022-10-15 15:34 Sam James
2022-10-15 15:34 Sam James
2022-09-23  6:58 Arthur Zamarin
2022-09-23  5:41 Arthur Zamarin
2022-09-23  5:41 Arthur Zamarin
2022-09-23  2:19 Sam James
2022-09-23  2:19 Sam James
2022-09-23  2:18 Sam James
2022-09-23  1:35 Sam James
2022-09-23  1:27 Sam James
2022-03-27 14:00 Yixun Lan
2022-02-06 12:41 Lars Wendler
2021-12-03 19:35 Sam James
2021-09-03  1:53 Sam James
2021-07-15 11:30 Lars Wendler
2021-05-06 10:01 Sam James
2021-05-05 16:09 Sergei Trofimovich
2021-05-04 22:54 Sam James
2021-05-04 19:16 Sam James
2021-05-04 19:16 Sam James
2021-05-04 19:13 Sam James
2021-05-04  7:03 Agostino Sarubbo
2021-04-26  7:30 Lars Wendler
2021-04-25 22:27 Lars Wendler
2021-04-16 10:25 David Seifert
2021-01-23 22:42 Mikle Kolyada
2020-08-30 20:40 Steve Arnold
2020-08-19 11:56 Lars Wendler
2019-11-27 13:45 Lars Wendler
2019-11-27 12:57 Mikle Kolyada
2019-11-14 11:55 Agostino Sarubbo
2019-10-17 11:43 Agostino Sarubbo
2019-10-17 10:32 Agostino Sarubbo
2019-10-17 10:29 Agostino Sarubbo
2019-10-17 10:25 Agostino Sarubbo
2019-10-17  9:53 Agostino Sarubbo
2019-10-16 20:46 Sergei Trofimovich
2019-10-15 11:14 Lars Wendler
2019-10-15 11:14 Lars Wendler
2019-10-12 21:36 Mikle Kolyada
2018-09-03 12:39 Lars Wendler
2017-12-20 17:41 Anthony G. Basile
2017-08-22 21:41 Michał Górny
2016-08-17  3:34 Jeroen Roovers
2016-07-08 14:49 Markus Meier
2016-07-04 11:55 Tobias Klausmann
2016-07-02 12:24 Lars Wendler
2016-04-28 11:40 Lars Wendler
2016-01-01 20:01 Lars Wendler
2016-01-01 20:01 Lars Wendler

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1643501793.56e1b38134afbca05e63cb0876bfb4653a084608.polynomial-c@gentoo \
    --to=polynomial-c@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox